% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/source.dir.R
\name{source.dir}
\alias{source.dir}
\alias{sourceDir}
\title{Source Directory}
\usage{
source.dir(dir, pattern = "\\\\.[r|R]$", all.files = FALSE,
  recursive = FALSE, quiet = TRUE, ...)
}
\arguments{
\item{dir}{a directory containing R source files.}

\item{pattern}{passed to \code{\link{dir}} when selecting files.}

\item{all.files}{passed to \code{dir} when selecting files.}

\item{recursive}{passed to \code{dir} when selecting files.}

\item{quiet}{whether to suppress messages.}

\item{\dots}{passed to \code{source} when sourcing files.}
}
\value{
Names of sourced files.
}
\description{
Read all \code{*.R} files from a directory containing R functions.
}
\details{
The \code{dir} argument can also be a vector of filenames, instead of a
directory  name. This can be useful to specify certain files while avoiding
others.
}
\note{
This function is convenient in TAF analyses when many R utility functions are
stored in a directory, see example below.
}
\examples{
\dontrun{
source.dir("bootstrap/software/utilities")
}

}
\seealso{
\code{\link{source}} is the base function to read R code from a file.

\code{\link{TAF-package}} gives an overview of the package.
}
